Skip to main content
GET
Retrieve a specific insight

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

domain_id
integer
required

The domain ID

insight_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required

A generated unique identifier for the insight

insight_type
string
required

The slug of the insight type

Pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$
labels
Labels · object
required

A hash table of label names and values that apply to the insight

first_seen
string<date-time>
required

The date and time the insight was first seen in ISO 8601 format

last_seen
string<date-time>
required

The date and time the insight was last seen in ISO 8601 format

last_status_change
string<date-time>
required

The date and time the insight was last seen in ISO 8601 format

status
enum<string>
required

The status of the insight

Available options:
OPEN,
ACKED,
CLOSED
description
string
required

The description of the insight

Required string length: 3 - 450
Example:

"A request originated from a high-risk IP: 1.2.3.4, but it was allowed by rule: 'my custom rule' the description of the insight"

recommendation
string
required

The recommended action to perform to resolve the insight

Required string length: 3 - 450
Example:

"disable or delete rule \"my-custom-rule\""